Aapache2.4で403エラー

Apacheのバージョンを2.4に上げてローカル環境でサイトを見ようとすると

Access forbidden!
Error 403

と言われるようになってしまった。

エラーログを見ると”authz_core:error”と出力されてたので
下記サイトを参考に設定ファイルを修正。
authz_core:error apache 2.4 エラー

Order Deny,Allow
Deny from ALL
Allow from localhost 127.0.0.1

となっていたのを

Require host localhost 127.0.0.1

へ。しかし状況変わらず。
再度エラーログを見ると今度は”authz_host:error”と”authz_core:error”の両方が出力されてる。
ドキュメントのコメントによるとRequireのhostには特有の書き方があるらしい。
ここらへんを参考にしつつ

Require local

にしたら正常に表示されるようになった。


カテゴリー: 開発環境 タグ: パーマリンク